メインコンテンツへスキップ
PATCH
/
voices
/
{id}
Update Voice
curl --request PATCH \
  --url https://api.cartesia.ai/voices/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "db6b0ed5-d5d3-463d-ae85-518a07d3c2b4",
  "is_owner": false,
  "is_public": true,
  "name": "Skylar - Friendly Guide",
  "description": "Approachable American female ideal for customer care and support.",
  "gender": "feminine",
  "language": "en",
  "country": "US",
  "created_at": "2026-03-31T17:37:05.961874Z"
}

承認

Authorization
string
header
必須

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

ヘッダー

Cartesia-Version
enum<string>
必須

API version header.

利用可能なオプション:
2026-03-01
:

"2026-03-01"

パスパラメータ

id
string
必須

The ID of the voice.

ボディ

application/json
name
string

The name of the voice.

description
string

The description of the voice.

gender
enum<string> | null
利用可能なオプション:
masculine,
feminine,
gender_neutral

レスポンス

200 - application/json
id
string
必須

The ID of the voice.

is_owner
boolean
必須

Whether your organization owns the voice.

is_public
boolean
必須

Whether the voice is publicly accessible.

name
string
必須

The name of the voice.

description
string
必須

The description of the voice.

created_at
string<date-time>
必須

The date and time the voice was created.

language
string
必須

The voice's language, as an ISO 639-1 code (e.g. en, fr, zh)

:

"en"

gender
enum<string> | null

The gender of the voice, if specified.

利用可能なオプション:
masculine,
feminine,
gender_neutral
preview_file_url
string | null

A URL to download a preview audio file for this voice. Useful to avoid consuming credits when looking for the right voice. The URL requires the same Authorization header. Voice previews may be changed, moved, or deleted so you should avoid storing the URL permanently. This property will be null if there's no preview available. Only included when expand[] includes preview_file_url.

country
string | null

The country associated with the voice, as an ISO 3166-1 alpha-2 code when available.

:

"US"